Bug 1268026 - [RFE] repo search for docker image repos using the results of docker search
[RFE] repo search for docker image repos using the results of docker search
Status: VERIFIED
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Container Management - Content (Show other bugs)
Unspecified
Unspecified Unspecified
high Severity low (vote)
: GA
: --
Assigned To: Tom McKay
Shimon Shtein
: FutureFeature, Triaged
: 1221367 1319950 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-01 11:22 EDT by Dirk Herrmann
Modified: 2017-08-23 06:24 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 18253 None None None 2017-01-26 08:45 EST

  None (edit)
Description Dirk Herrmann 2015-10-01 11:22:13 EDT
Description of problem:

For yum repositories we offer a feature called "repo discovery" which makes it easier to identify and configure repositories if they are coming from one source and are available for different RHEL versions and architectures.

Until we ship docker images in CDN and can just select and enable these repos inside the Docker Images tab under Content -> Red Hat repositories we need to manually configure each invidual container image (repo) we want to sync into Sat6.

Docker search provides all required information to browse and filter the available docker images inside a registry. 

This is even more relevant for ISV images inside our federated registry where we use registry.access.redhat.com as an index and provide back the url to the deviating ISV registry in rhcloud:

[root@dherrman ~]# docker search nginx
INDEX        NAME                                                    DESCRIPTION                                     STARS     OFFICIAL   AUTOMATED
redhat.com   registry-nginxinc.rhcloud.com/nginx/rhel7-nginx:1.9.2   Run by the busiest web sites on the Intern...   0                    
redhat.com   registry.access.redhat.com/rhscl_beta/nginx-16-rhel7    Nginx 1.6 server and a reverse proxy server     0

This would make it significantly easier to identify, select and configure (Sat6 repo and product) multiple container image repositories at once and would include ISV images in our federated registry as well.


Version-Release number of selected component (if applicable):

N/A

How reproducible:

N/A

Steps to Reproduce:

N/A

Actual results:

currently repo discovery only works for yum repos

Expected results:

Repo discovery works for docker images if I provide the registry (and maybe additionally a search term since a blind search listing all images seems to not work)

Additional info:

Workaround using hammer CLI:

for RESULT in $(docker search ${SEARCH} | grep -vi INDEX | sed -e 's/^redhat.com[[:blank:]]*\([[:graph:]]*\)[[:blank:]]*.*/\1/')
do
	# divide between registry and upstream repo name
	REGISTRY_URL=$(echo $RESULT | cut -d'/' -f1)
	REPO_NAME=$(echo $RESULT | cut -d'/' -f2-)
	echo "Adding REPO: $REPO_NAME REGISTRY: $REGISTRY_URL "

	hammer repository create --name="${REPO_NAME}" \
 	  --product='Container Images' --content-type='docker' \
 	  --url="https://${REGISTRY_URL}" \
 	  --docker-upstream-name="${REPO_NAME}" \
 	  --publish-via-http="true" \
	  --organization="$ORG"

done
Comment 2 Bryan Kearney 2016-07-26 11:25:24 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 3 Bryan Kearney 2016-07-26 11:40:05 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 6 Tom McKay 2017-01-26 08:45:31 EST
Created redmine issue http://projects.theforeman.org/issues/18253 from this bug
Comment 8 Tom McKay 2017-01-26 09:13:54 EST
*** Bug 1319950 has been marked as a duplicate of this bug. ***
Comment 9 Tom McKay 2017-01-26 12:42:47 EST
*** Bug 1221367 has been marked as a duplicate of this bug. ***
Comment 10 pm-sat@redhat.com 2017-03-23 14:13:09 EDT
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/18253 has been resolved.

Note You need to log in before you can comment on or make changes to this bug.